Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class RenderKitUtils.Attributes

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet<E>
              java.util.TreeSet<ComponentAttribute>
                  org.richfaces.renderkit.RenderKitUtils.Attributes

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<ComponentAttribute>, Collection<ComponentAttribute>, NavigableSet<ComponentAttribute>, Set<ComponentAttribute>, SortedSet<ComponentAttribute>

Enclosing class:
  RenderKitUtils

    public static final class RenderKitUtils.Attributes

extends TreeSet<ComponentAttribute>

See Also:
  Serialized Form

Constructor Summary
`RenderKitUtils.Attributes()`

Method Summary
`RenderKitUtils.Attributes` | `bool(String name, String componentAttribute)`
`RenderKitUtils.Attributes` | `defaultValue(Object value)`
`RenderKitUtils.Attributes` | `generic(String name, String componentAttribute, String... events)`
`void` | `render(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`RenderKitUtils.Attributes` | `uri(String name, String componentAttribute)`

Methods inherited from class java.util.TreeSet
`add, addAll, ceiling, clear, clone, comparator, contains, descendingIterator, descendingSet, first, floor, headSet, headSet, higher, isEmpty, iterator, last, lower, pollFirst, pollLast, remove, size, subSet, subSet, tailSet, tailSet`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`containsAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`containsAll, equals, hashCode, removeAll, retainAll, toArray, toArray`

Constructor Detail

### RenderKitUtils.Attributes

    public RenderKitUtils.Attributes()

Method Detail

### render

    public void render(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component)
                throws IOException

  Throws:
    `IOException`

### generic

    public RenderKitUtils.Attributes generic(String name,
                                             String componentAttribute,
                                             String... events)

### uri

    public RenderKitUtils.Attributes uri(String name,
                                         String componentAttribute)

### bool

    public RenderKitUtils.Attributes bool(String name,
                                          String componentAttribute)

### defaultValue

    public RenderKitUtils.Attributes defaultValue(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.